Bug 190708 - ProxyPass not configured correctly on satellite
Summary: ProxyPass not configured correctly on satellite
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
(Show other bugs)
Version: rhn410
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jesus M. Rodriguez
QA Contact: Vlady Zlatkin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 169454
TreeView+ depends on / blocked
 
Reported: 2006-05-04 16:40 UTC by Mike McCune
Modified: 2007-04-18 17:42 UTC (History)
1 user (show)

Fixed In Version: rhn410
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-19 18:44:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mike McCune 2006-05-04 16:40:43 UTC
When trying to bring up apache on a -74 build of the satellite:

Starting httpd: Syntax error on line 43 of /etc/httpd/conf/rhnweb.conf:
Invalid command 'ProxyPass', perhaps mis-spelled or defined by a module not
included in the server configuration

Comes from this line:

ProxyPass /rpc/api http://localhost/rhn/rpc/api

Comment 1 Jesus M. Rodriguez 2006-05-04 17:40:48 UTC
Changed it to a rewrite rule:
RewriteRule /rpc/api /rhn/rpc/api [PT]


Comment 2 Vlady Zlatkin 2006-06-19 17:48:14 UTC
Please add a testplan.

Comment 3 Jesus M. Rodriguez 2006-06-20 19:17:17 UTC
TEST PLAN
----------
1) install a satellite
2) browse to satellite/rpc/api/ - verify you see the API documentation
3) on the satellite machine run the following:

   grep ProxyPass /etc/httpd/conf/rhnweb.conf | wc -l

   it will return 0

4) alson on the satellite very the following:

   grep RewriteRule /etc/httpd/conf/rhnweb.conf | grep api | wc -l

   it will return 1

5) restart httpd on the satellite box, the error mentioned
   in Comment #1 should not appear.


Comment 4 Vlady Zlatkin 2006-06-20 20:01:32 UTC
verified on -112 iso

Comment 5 Beth Nackashi 2006-07-19 18:44:23 UTC
moving to closed - currentrelease


Note You need to log in before you can comment on or make changes to this bug.